/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[RDirection]    Script Date: 02/14/2011 11:41:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[RDirection](
	[RDID] [int] IDENTITY(1,1) NOT NULL,
	[RPID] [int] NOT NULL,
	[DirectionID] [int] NOT NULL,
	[RDIndex] [int] NOT NULL,
	[RDSpText] [nvarchar](255) NOT NULL,
	[RDSpLong] [int] NOT NULL,
	[RDSpBoolean] [bit] NOT NULL,
 CONSTRAINT [PK_RDirection] PRIMARY KEY NONCLUSTERED 
(
	[RDID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[RDirection]  WITH CHECK ADD  CONSTRAINT [FK_RDirection_Direction] FOREIGN KEY([DirectionID])
REFERENCES [dbo].[Direction] ([DirectionID])
GO

ALTER TABLE [dbo].[RDirection] CHECK CONSTRAINT [FK_RDirection_Direction]
GO

ALTER TABLE [dbo].[RDirection]  WITH CHECK ADD  CONSTRAINT [FK_RDirection_RPoint] FOREIGN KEY([RPID])
REFERENCES [dbo].[RPoint] ([RPID])
GO

ALTER TABLE [dbo].[RDirection] CHECK CONSTRAINT [FK_RDirection_RPoint]
GO

ALTER TABLE [dbo].[RDirection] ADD  CONSTRAINT [DF_RDirection_RPID]  DEFAULT ((0)) FOR [RPID]
GO

ALTER TABLE [dbo].[RDirection] ADD  CONSTRAINT [DF_RDirection_DirectionID]  DEFAULT ((0)) FOR [DirectionID]
GO

ALTER TABLE [dbo].[RDirection] ADD  CONSTRAINT [DF_RDirection_RDIndex]  DEFAULT ((0)) FOR [RDIndex]
GO

ALTER TABLE [dbo].[RDirection] ADD  CONSTRAINT [DF_RDirection_RDSpText]  DEFAULT ((0)) FOR [RDSpText]
GO

ALTER TABLE [dbo].[RDirection] ADD  CONSTRAINT [DF_RDirection_RDSpLong]  DEFAULT ((0)) FOR [RDSpLong]
GO

ALTER TABLE [dbo].[RDirection] ADD  CONSTRAINT [DF_RDirection_RDSpBoolean]  DEFAULT ((0)) FOR [RDSpBoolean]
GO

