/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[RPlant]    Script Date: 02/14/2011 11:41:37 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[RPlant](
	[RFID] [int] IDENTITY(1,1) NOT NULL,
	[RRID] [int] NOT NULL,
	[PlantID] [int] NOT NULL,
	[RFIndex] [int] NOT NULL,
	[RFSpText] [nvarchar](255) NOT NULL,
	[RFSpLong] [int] NOT NULL,
	[RFSpBoolean] [bit] NOT NULL,
 CONSTRAINT [PK_RPlant] PRIMARY KEY NONCLUSTERED 
(
	[RFID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[RPlant]  WITH CHECK ADD  CONSTRAINT [FK_RPlant_Plant] FOREIGN KEY([PlantID])
REFERENCES [dbo].[Plant] ([PlantID])
GO

ALTER TABLE [dbo].[RPlant] CHECK CONSTRAINT [FK_RPlant_Plant]
GO

ALTER TABLE [dbo].[RPlant]  WITH CHECK ADD  CONSTRAINT [FK_RPlant_Route] FOREIGN KEY([RRID])
REFERENCES [dbo].[Route] ([RRID])
GO

ALTER TABLE [dbo].[RPlant] CHECK CONSTRAINT [FK_RPlant_Route]
GO

ALTER TABLE [dbo].[RPlant] ADD  CONSTRAINT [DF_RPlant_RRID]  DEFAULT ((0)) FOR [RRID]
GO

ALTER TABLE [dbo].[RPlant] ADD  CONSTRAINT [DF_RPlant_PlantID]  DEFAULT ((0)) FOR [PlantID]
GO

ALTER TABLE [dbo].[RPlant] ADD  CONSTRAINT [DF_RPlant_RFIndex]  DEFAULT ((0)) FOR [RFIndex]
GO

ALTER TABLE [dbo].[RPlant] ADD  CONSTRAINT [DF_RPlant_RFSpText]  DEFAULT ((0)) FOR [RFSpText]
GO

ALTER TABLE [dbo].[RPlant] ADD  CONSTRAINT [DF_RPlant_RFSpLong]  DEFAULT ((0)) FOR [RFSpLong]
GO

ALTER TABLE [dbo].[RPlant] ADD  CONSTRAINT [DF_RPlant_RFSpBoolean]  DEFAULT ((0)) FOR [RFSpBoolean]
GO

