/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[Route]    Script Date: 02/14/2011 11:41:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Route](
	[RRID] [int] IDENTITY(1,1) NOT NULL,
	[RRName] [nvarchar](255) NOT NULL,
	[RRMach] [int] NOT NULL,
	[RRPoint] [int] NOT NULL,
	[RRDir] [int] NOT NULL,
	[RRSpText] [nvarchar](255) NOT NULL,
	[RRSpLong] [int] NOT NULL,
	[RRSpBoolean] [bit] NOT NULL,
 CONSTRAINT [PK_Route] PRIMARY KEY NONCLUSTERED 
(
	[RRID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRName]  DEFAULT ((0)) FOR [RRName]
GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRMach]  DEFAULT ((0)) FOR [RRMach]
GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRPoint]  DEFAULT ((0)) FOR [RRPoint]
GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRDir]  DEFAULT ((0)) FOR [RRDir]
GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRSpText]  DEFAULT ((0)) FOR [RRSpText]
GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRSpLong]  DEFAULT ((0)) FOR [RRSpLong]
GO

ALTER TABLE [dbo].[Route] ADD  CONSTRAINT [DF_Route_RRSpBoolean]  DEFAULT ((0)) FOR [RRSpBoolean]
GO

