USE [master]
GO

/****** Object:  Database [test567]    Script Date: 02/14/2011 11:35:09 ******/
/**** NOTE: Replace "test567" with your database name !!! ********/
/**** Example: replace 'c:\baze\test567_table.sp7'with 'd:\sqlsvr\Data\NewName_table.sp7'
/**** NOTE: Replace "c:\baze" with your path name !!! ********/

CREATE DATABASE [test567] ON  PRIMARY 
( NAME = N'VmiTable_dat', FILENAME = N'c:\baze\test567_table.sp7' , SIZE = 10240KB , MAXSIZE = UNLIMITED, FILEGROWTH = 10%), 
 FILEGROUP [VmiImage] 
( NAME = N'VmiImage_dat', FILENAME = N'c:\baze\test567_image.sp7' , SIZE = 10240KB , MAXSIZE = UNLIMITED, FILEGROWTH = 10%), 
 FILEGROUP [VmiIndex] 
( NAME = N'VmiIndex_dat', FILENAME = N'c:\baze\test567_index.sp7' , SIZE = 10240KB , MAXSIZE = UNLIMITED, FILEGROWTH = 10%)
 LOG ON 
( NAME = N'Vmi_log', FILENAME = N'c:\baze\test567_log.sp7' , SIZE = 10240KB , MAXSIZE = 102400KB , FILEGROWTH = 10%)
GO

ALTER DATABASE [test567] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [test567].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [test567] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [test567] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [test567] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [test567] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [test567] SET ARITHABORT OFF 
GO

ALTER DATABASE [test567] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [test567] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [test567] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [test567] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [test567] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [test567] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [test567] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [test567] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [test567] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [test567] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [test567] SET  ENABLE_BROKER 
GO

ALTER DATABASE [test567] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [test567] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [test567] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [test567] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [test567] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [test567] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [test567] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [test567] SET  READ_WRITE 
GO

ALTER DATABASE [test567] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [test567] SET  MULTI_USER 
GO

ALTER DATABASE [test567] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [test567] SET DB_CHAINING OFF 
GO

