/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[GDirection]    Script Date: 02/14/2011 11:38:11 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[GDirection](
	[GMID] [int] NOT NULL,
	[DirectionID] [int] NOT NULL,
	[GDName] [nvarchar](255) NOT NULL,
	[GDComents] [nvarchar](255) NOT NULL,
	[GDLineX1] [real] NOT NULL,
	[GDLinex2] [real] NOT NULL,
	[GDLineY1] [real] NOT NULL,
	[GDLineY2] [real] NOT NULL,
	[GDLabelTop] [real] NOT NULL,
	[GDLabelLeft] [real] NOT NULL,
	[GDBackStyle] [tinyint] NOT NULL,
	[GDBackColor] [int] NOT NULL,
	[GDSpText] [nvarchar](255) NOT NULL,
	[GDSpLong] [int] NOT NULL,
	[GDSpBoolean] [bit] NOT NULL
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[GDirection]  WITH CHECK ADD  CONSTRAINT [FK_GDirection_Direction] FOREIGN KEY([DirectionID])
REFERENCES [dbo].[Direction] ([DirectionID])
GO

ALTER TABLE [dbo].[GDirection] CHECK CONSTRAINT [FK_GDirection_Direction]
GO

ALTER TABLE [dbo].[GDirection]  WITH CHECK ADD  CONSTRAINT [FK_GDirection_GMachine] FOREIGN KEY([GMID])
REFERENCES [dbo].[GMachine] ([GMID])
GO

ALTER TABLE [dbo].[GDirection] CHECK CONSTRAINT [FK_GDirection_GMachine]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GMID]  DEFAULT ((0)) FOR [GMID]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_DirectionID]  DEFAULT ((0)) FOR [DirectionID]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDName]  DEFAULT ((0)) FOR [GDName]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDComents]  DEFAULT ((0)) FOR [GDComents]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDLineX1]  DEFAULT ((0)) FOR [GDLineX1]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDLinex2]  DEFAULT ((0)) FOR [GDLinex2]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDLineY1]  DEFAULT ((0)) FOR [GDLineY1]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDLineY2]  DEFAULT ((0)) FOR [GDLineY2]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDLabelTop]  DEFAULT ((0)) FOR [GDLabelTop]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDLabelLeft]  DEFAULT ((0)) FOR [GDLabelLeft]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDBackStyle]  DEFAULT ((0)) FOR [GDBackStyle]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDBackColor]  DEFAULT ((0)) FOR [GDBackColor]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDSpText]  DEFAULT ((0)) FOR [GDSpText]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDSpLong]  DEFAULT ((0)) FOR [GDSpLong]
GO

ALTER TABLE [dbo].[GDirection] ADD  CONSTRAINT [DF_GDirection_GDSpBoolean]  DEFAULT ((0)) FOR [GDSpBoolean]
GO

