/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[GraphDatabase]    Script Date: 02/14/2011 11:39:09 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[GraphDatabase](
	[GGID] [int] IDENTITY(1,1) NOT NULL,
	[GGName] [nvarchar](255) NOT NULL,
	[GGComents] [nvarchar](255) NOT NULL,
	[GGSpText] [nvarchar](255) NOT NULL,
	[GGSpLong] [int] NOT NULL,
	[GGSpBoolean] [bit] NOT NULL,
	[GPLineColor] [int] NOT NULL,
	[GPLabelSize] [int] NOT NULL,
	[GPIsLine] [bit] NOT NULL,
	[GGPicture] [image] NULL,
 CONSTRAINT [PK_GraphDatabase] PRIMARY KEY NONCLUSTERED 
(
	[GGID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GGName]  DEFAULT ((0)) FOR [GGName]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GGComents]  DEFAULT ((0)) FOR [GGComents]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GGSpText]  DEFAULT ((0)) FOR [GGSpText]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GGSpLong]  DEFAULT ((0)) FOR [GGSpLong]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GGSpBoolean]  DEFAULT ((0)) FOR [GGSpBoolean]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GPLineColor]  DEFAULT ((0)) FOR [GPLineColor]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GPLabelSize]  DEFAULT ((0)) FOR [GPLabelSize]
GO

ALTER TABLE [dbo].[GraphDatabase] ADD  CONSTRAINT [DF_GraphDatabase_GPIsLine]  DEFAULT ((0)) FOR [GPIsLine]
GO

