/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[MachDesc]    Script Date: 02/14/2011 11:39:39 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[MachDesc](
	[MachineID] [int] NOT NULL,
	[Description] [ntext] NULL
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[MachDesc]  WITH CHECK ADD  CONSTRAINT [FK_MachDesc_Machine] FOREIGN KEY([MachineID])
REFERENCES [dbo].[Machine] ([MachineID])
GO

ALTER TABLE [dbo].[MachDesc] CHECK CONSTRAINT [FK_MachDesc_Machine]
GO

ALTER TABLE [dbo].[MachDesc] ADD  CONSTRAINT [DF_MachDesc_MachineID]  DEFAULT ((0)) FOR [MachineID]
GO

