/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[NarrowBand]    Script Date: 02/14/2011 11:40:19 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[NarrowBand](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[DirectionID] [int] NOT NULL,
	[BandName] [nvarchar](255) NOT NULL,
	[Multiply] [real] NOT NULL,
	[Value] [real] NOT NULL,
	[Gap] [real] NOT NULL,
	[Warning] [real] NOT NULL,
	[Danger] [real] NOT NULL,
	[SpeedCalcID] [int] NOT NULL,
	[SpeedTypeID] [int] NOT NULL,
	[BandEnable] [bit] NOT NULL,
 CONSTRAINT [PK_NarrowBand] PRIMARY KEY NONCLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[NarrowBand]  WITH CHECK ADD  CONSTRAINT [FK_Narrow_Direction] FOREIGN KEY([DirectionID])
REFERENCES [dbo].[Direction] ([DirectionID])
GO

ALTER TABLE [dbo].[NarrowBand] CHECK CONSTRAINT [FK_Narrow_Direction]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_DirectionID]  DEFAULT ((0)) FOR [DirectionID]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_BandName]  DEFAULT ((0)) FOR [BandName]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_Multiply]  DEFAULT ((0)) FOR [Multiply]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_Value]  DEFAULT ((0)) FOR [Value]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_Gap]  DEFAULT ((0)) FOR [Gap]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_Warning]  DEFAULT ((0)) FOR [Warning]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_Danger]  DEFAULT ((0)) FOR [Danger]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_SpeedCalcID]  DEFAULT ((0)) FOR [SpeedCalcID]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_SpeedTypeID]  DEFAULT ((0)) FOR [SpeedTypeID]
GO

ALTER TABLE [dbo].[NarrowBand] ADD  CONSTRAINT [DF_NarrowBand_BandEnable]  DEFAULT ((0)) FOR [BandEnable]
GO

