/**** NOTE: Replace "test567" with your database name !!! ********/

USE [test567]
GO

/****** Object:  Table [dbo].[Plant]    Script Date: 02/14/2011 11:40:39 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Plant](
	[PlantID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[TreeOrder] [int] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
	[FlagAlarm] [tinyint] NOT NULL,
 CONSTRAINT [PK_Plant] PRIMARY KEY NONCLUSTERED 
(
	[PlantID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Plant] ADD  CONSTRAINT [DF_Plant_Name]  DEFAULT ((0)) FOR [Name]
GO

ALTER TABLE [dbo].[Plant] ADD  CONSTRAINT [DF_Plant_TreeOrder]  DEFAULT ((2147480000)) FOR [TreeOrder]
GO

ALTER TABLE [dbo].[Plant] ADD  CONSTRAINT [DF_Plant_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[Plant] ADD  CONSTRAINT [DF_Plant_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[Plant] ADD  CONSTRAINT [DF_Plant_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[Plant] ADD  CONSTRAINT [DF_Plant_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

ALTER TABLE [dbo].[Plant] ADD  DEFAULT ((0)) FOR [FlagAlarm]
GO

