/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[RMachine]    Script Date: 02/14/2011 11:41:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[RMachine](
	[RMID] [int] IDENTITY(1,1) NOT NULL,
	[RFID] [int] NOT NULL,
	[MachineID] [int] NOT NULL,
	[RMIndex] [int] NOT NULL,
	[RMSpText] [nvarchar](255) NOT NULL,
	[RMSpLong] [int] NOT NULL,
	[RMSpBoolean] [bit] NOT NULL,
 CONSTRAINT [PK_RMachine] PRIMARY KEY NONCLUSTERED 
(
	[RMID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[RMachine]  WITH CHECK ADD  CONSTRAINT [FK_RMachine_Machine] FOREIGN KEY([MachineID])
REFERENCES [dbo].[Machine] ([MachineID])
GO

ALTER TABLE [dbo].[RMachine] CHECK CONSTRAINT [FK_RMachine_Machine]
GO

ALTER TABLE [dbo].[RMachine]  WITH CHECK ADD  CONSTRAINT [FK_RMachine_RPlant] FOREIGN KEY([RFID])
REFERENCES [dbo].[RPlant] ([RFID])
GO

ALTER TABLE [dbo].[RMachine] CHECK CONSTRAINT [FK_RMachine_RPlant]
GO

ALTER TABLE [dbo].[RMachine] ADD  CONSTRAINT [DF_RMachine_RFID]  DEFAULT ((0)) FOR [RFID]
GO

ALTER TABLE [dbo].[RMachine] ADD  CONSTRAINT [DF_RMachine_MachineID]  DEFAULT ((0)) FOR [MachineID]
GO

ALTER TABLE [dbo].[RMachine] ADD  CONSTRAINT [DF_RMachine_RMIndex]  DEFAULT ((0)) FOR [RMIndex]
GO

ALTER TABLE [dbo].[RMachine] ADD  CONSTRAINT [DF_RMachine_RMSpText]  DEFAULT ((0)) FOR [RMSpText]
GO

ALTER TABLE [dbo].[RMachine] ADD  CONSTRAINT [DF_RMachine_RMSpLong]  DEFAULT ((0)) FOR [RMSpLong]
GO

ALTER TABLE [dbo].[RMachine] ADD  CONSTRAINT [DF_RMachine_RMSpBoolean]  DEFAULT ((0)) FOR [RMSpBoolean]
GO

