/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[RPoint]    Script Date: 02/14/2011 11:41:47 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[RPoint](
	[RPID] [int] IDENTITY(1,1) NOT NULL,
	[RMID] [int] NOT NULL,
	[PointID] [int] NOT NULL,
	[RPIndex] [int] NOT NULL,
	[RPSpText] [nvarchar](255) NOT NULL,
	[RPSpLong] [int] NOT NULL,
	[RPSpBoolean] [bit] NOT NULL,
 CONSTRAINT [PK_RPoint] PRIMARY KEY NONCLUSTERED 
(
	[RPID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[RPoint]  WITH CHECK ADD  CONSTRAINT [FK_RPoint_Point] FOREIGN KEY([PointID])
REFERENCES [dbo].[Point] ([PointID])
GO

ALTER TABLE [dbo].[RPoint] CHECK CONSTRAINT [FK_RPoint_Point]
GO

ALTER TABLE [dbo].[RPoint]  WITH CHECK ADD  CONSTRAINT [FK_RPoint_RMachine] FOREIGN KEY([RMID])
REFERENCES [dbo].[RMachine] ([RMID])
GO

ALTER TABLE [dbo].[RPoint] CHECK CONSTRAINT [FK_RPoint_RMachine]
GO

ALTER TABLE [dbo].[RPoint] ADD  CONSTRAINT [DF_RPoint_RMID]  DEFAULT ((0)) FOR [RMID]
GO

ALTER TABLE [dbo].[RPoint] ADD  CONSTRAINT [DF_RPoint_PointID]  DEFAULT ((0)) FOR [PointID]
GO

ALTER TABLE [dbo].[RPoint] ADD  CONSTRAINT [DF_RPoint_RPIndex]  DEFAULT ((0)) FOR [RPIndex]
GO

ALTER TABLE [dbo].[RPoint] ADD  CONSTRAINT [DF_RPoint_RPSpText]  DEFAULT ((0)) FOR [RPSpText]
GO

ALTER TABLE [dbo].[RPoint] ADD  CONSTRAINT [DF_RPoint_RPSpLong]  DEFAULT ((0)) FOR [RPSpLong]
GO

ALTER TABLE [dbo].[RPoint] ADD  CONSTRAINT [DF_RPoint_RPSpBoolean]  DEFAULT ((0)) FOR [RPSpBoolean]
GO

